Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80648 - (xkb estonian)No way to type "|" character
Summary: (xkb estonian)No way to type "|" character
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579 82770
TreeView+ depends on / blocked
 
Reported: 2002-12-29 14:51 UTC by Ivo Sarak
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-28 23:25:24 UTC


Attachments (Terms of Use)

Description Ivo Sarak 2002-12-29 14:51:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
I am using a keyboard with Estonian layout but after upgrade to Phoebe I can not
type a "|" character under KDE. Under console there it is fine ([Alt Gr]+ key
right to leftmost [shift]) , but under KDE I find no key combination to get me a
 "|".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade to Phoebe;
2. Start KDE;
3. Configure keybord settings to ee (Estonian);
3. Start a konsole/konqueror/....;
 4. Type the  "|" character;

Actual Results:  '<' or nothing at all depending keybord model.

Expected Results:  "|".

Additional info:

Both console and konsole are showing:
[IS@sarmax IS]$ echo $LANG
en_US.UTF-8
[IS@sarmax IS]$ echo $SUPPORTED
en_US.UTF-8:en_US:en:et_EE.UTF-8:et_EE:et
[IS@sarmax IS]$

Also I tried to change the "Keyboard model" (I have Keytronic 800 set to
"Generic 102-key (Intl) PC"), but it made situation even worse as some models
even lost more characters.

Additionally it made no difference if to try US/FI/... with this keyboard -
there is nowhere a "|" character.

Comment 1 Ngo Than 2003-01-21 14:20:54 UTC
please set "XkbModel" to "pc105" in your XF86Config or XF86Config-4. It should
work again. It's perhaps a bug in XFree86

Comment 2 Ivo Sarak 2003-01-21 21:31:33 UTC
No effect:
[IS@sarmax IS]$ cat /etc/X11/XF86Config
# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "DevInputMice" "AlwaysCore"
EndSection

Section "Files"
# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"
# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "ee"
EndSection

Section "InputDevice"
        Identifier      "Mouse0"
        # Modified by mouseconfig
        Driver          "mouse"
        Option          "Device"                "/dev/mouse"
        Option          "Protocol"              "MouseManPlusPS/2"
        Option          "Emulate3Buttons"       "yes"
        Option          "ZAxisMapping"          "4 5"
EndSection

Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "P95f"
        DisplaySize  360        270
        HorizSync    30.0 - 117.0
        VertRefresh  50.0 - 180.0
        ModeLine     "1400x1050" 129.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 151.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 162.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        ModeLine     "1400x1050" 184.0 1400 1464 1656 1960 1050 1051 1054 1100
+hsync +vsync
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "mga"
        VendorName  "Videocard vendor"
        BoardName   "Matrox Millennium G550"
        VideoRam    32768
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Modes    "800x600"
        EndSubSection
        SubSection "Display"
                Depth     16
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

[IS@sarmax IS]$

Comment 3 Mike A. Harris 2003-01-23 02:03:58 UTC
Please report this bug to xfree86@xfree86.org including full details.
XFree86 4.3.0 final freeze for minor bugfixes is on February 1st, and
the people who maintain xkb should be made aware of all xkb related
bugs before then in hopes they'll get fixed before 4.3.0.  I'm currently
spending most of my time fixing video drivers, so it is highly possible
at the current state, I won't be able to personally look into this
for quite some time.

Comment 4 Ivo Sarak 2003-01-28 19:35:00 UTC
I did not yet reported the bug as update to Phoebe (8.0.93) resolved it.

Comment 5 Mike A. Harris 2003-01-28 23:25:24 UTC
Thanks for the update.

Closing as fixed in RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.